org.apache.maven.scm.provider.hg.command

## Class HgCommandConstants

- java.lang.Object
- - org.apache.maven.scm.provider.hg.command.HgCommandConstants

    public final class HgCommandConstants
    extends Object

Available/Used hg commands.

These commands do not necessarily correspond to the SCM API. Eg. "check in" is translated to be "commit" and "push".

Author:
  thurner rupert

### Field Summary

Fields
`static String` `ADD_CMD` Default recursive.
`static String` `ALL_OPTION`
`static String` `BRANCH_CMD` Create a new branch in the repo.
`static String` `BRANCH_NAME_CMD` Named branch command
`static String` `CHECK`
`static String` `CLEAN_OPTION`
`static String` `CLONE_CMD` Create a new copy of a branch.
`static String` `COMMIT_CMD` Commit changes into a new revision
`static String` `DATE_OPTION`
`static String` `DIFF_CMD` Show differences in workingtree.
`static String` `EXEC` Executable for Hg
`static String` `INIT_CMD` Use to create an empty branch or before importing an existing project
`static String` `INVENTORY_CMD` Show list of the current working copy or a revision
`static String` `LIMIT_OPTION` limit number of changes displayed
`static String` `LOG_CMD` Show log of this branch Common option: --revision
`static String` `MESSAGE_OPTION`
`static String` `NEW_BRANCH_OPTION`
`static String` `NO_MERGES_OPTION`
`static String` `NO_RECURSE_OPTION` no recurse option does not exist in mercurial
`static String` `OUTGOING_CMD` Outgoing changes command
`static String` `PULL_CMD` Pull any changes from another branch into the current one
`static String` `PUSH_CMD` Push this branch into another branch
`static String` `REMOVE_CMD` Make a file unversioned
`static String` `REVISION_OPTION`
`static String` `REVNO_CMD` Show current revision number
`static String` `STATUS_CMD` Reports the following states: added, removed, modified, unchanged, unknown
`static String` `TAG_CMD` Tag this revision
`static String` `TEMPLATE_FORMAT` A template for the log output in order to decouple the date parsing from system and java locale, also helps avoiding bug due changes on the verbose format for log command.
`static String` `TEMPLATE_OPTION`
`static String` `UPDATE_CMD` update working-copy to tip
`static String` `VERBOSE_OPTION`
`static String` `VERSION`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXEC

    public static final String EXEC

Executable for Hg

See Also:
  Constant Field Values

#### INIT_CMD

    public static final String INIT_CMD

Use to create an empty branch or before importing an existing project

See Also:
  Constant Field Values

#### ADD_CMD

    public static final String ADD_CMD

Default recursive. Common option: --dry-run and --no-recursive

See Also:
  Constant Field Values

#### STATUS_CMD

    public static final String STATUS_CMD

Reports the following states: added, removed, modified, unchanged, unknown

See Also:
  Constant Field Values

#### REMOVE_CMD

    public static final String REMOVE_CMD

Make a file unversioned

See Also:
  Constant Field Values

#### CLONE_CMD

    public static final String CLONE_CMD

Create a new copy of a branch. Alias get or clone

See Also:
  Constant Field Values

#### BRANCH_CMD

    public static final String BRANCH_CMD

Create a new branch in the repo.

See Also:
  Constant Field Values

#### COMMIT_CMD

    public static final String COMMIT_CMD

Commit changes into a new revision

See Also:
  Constant Field Values

#### UPDATE_CMD

    public static final String UPDATE_CMD

update working-copy to tip

See Also:
  Constant Field Values

#### PULL_CMD

    public static final String PULL_CMD

Pull any changes from another branch into the current one

See Also:
  Constant Field Values

#### LOG_CMD

    public static final String LOG_CMD

Show log of this branch Common option: --revision

See Also:
  Constant Field Values

#### DIFF_CMD

    public static final String DIFF_CMD

Show differences in workingtree. Common option: --revision

See Also:
  Constant Field Values

#### PUSH_CMD

    public static final String PUSH_CMD

Push this branch into another branch

See Also:
  Constant Field Values

#### REVNO_CMD

    public static final String REVNO_CMD

Show current revision number

See Also:
  Constant Field Values

#### TAG_CMD

    public static final String TAG_CMD

Tag this revision

See Also:
  Constant Field Values

#### INVENTORY_CMD

    public static final String INVENTORY_CMD

Show list of the current working copy or a revision

See Also:
  Constant Field Values

#### OUTGOING_CMD

    public static final String OUTGOING_CMD

Outgoing changes command

See Also:
  Constant Field Values

#### BRANCH_NAME_CMD

    public static final String BRANCH_NAME_CMD

Named branch command

See Also:
  Constant Field Values

#### NO_RECURSE_OPTION

    public static final String NO_RECURSE_OPTION

no recurse option does not exist in mercurial

See Also:
  Constant Field Values

#### MESSAGE_OPTION

    public static final String MESSAGE_OPTION

See Also:
  Constant Field Values

#### REVISION_OPTION

    public static final String REVISION_OPTION

See Also:
  Constant Field Values

#### DATE_OPTION

    public static final String DATE_OPTION

See Also:
  Constant Field Values

#### VERBOSE_OPTION

    public static final String VERBOSE_OPTION

See Also:
  Constant Field Values

#### NO_MERGES_OPTION

    public static final String NO_MERGES_OPTION

See Also:
  Constant Field Values

#### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

#### CHECK

    public static final String CHECK

See Also:
  Constant Field Values

#### ALL_OPTION

    public static final String ALL_OPTION

See Also:
  Constant Field Values

#### NEW_BRANCH_OPTION

    public static final String NEW_BRANCH_OPTION

See Also:
  Constant Field Values

#### CLEAN_OPTION

    public static final String CLEAN_OPTION

See Also:
  Constant Field Values

#### TEMPLATE_OPTION

    public static final String TEMPLATE_OPTION

See Also:
  Constant Field Values

#### LIMIT_OPTION

    public static final String LIMIT_OPTION

limit number of changes displayed

See Also:
  Constant Field Values

#### TEMPLATE_FORMAT

    public static final String TEMPLATE_FORMAT

A template for the log output in order to decouple the date parsing from system and java locale, also helps avoiding bug due changes on the verbose format for log command.

See Also:
  Constant Field Values